Subject: Re: [bug#66119] [PATCH 0/3] Some OCaml packages (needed for ocaml-toml)

From: pukkamustard <[email-masked]>
Date: Sat, 14 Oct 2023 06:25:10 +0000

Hello,

Matthieu Lemerre <[email-masked]> writes:

> Here are three missing OCaml packages. (I have more to come, but I want to make sure that I got the process right)

Thanks!

Descriptions are good, packages build and lint does not complain. Looks
good to me!

One small thing: It seems like ocaml-ocb is not a real dependency of
ocaml-toml (not even a test dependency). It seems to be used only when
deploying new versions of ocaml-toml and ocaml-toml builds fine without
ocaml-ocb. I would drop ocaml-ocb from inputs of ocaml-toml and if you
have no use of ocaml-ocb directly, drop the entire ocaml-ocb patch.

Cheers,
pukkamustard